diff options
author | Ulrich Drepper <drepper@redhat.com> | 2003-11-18 07:04:13 +0000 |
---|---|---|
committer | Ulrich Drepper <drepper@redhat.com> | 2003-11-18 07:04:13 +0000 |
commit | 5ddb5bf5fbceb6f44f04f7267eb214eee5fc2f90 (patch) | |
tree | bc7e7d7c1fd3d3c434853a2971562d661a6e3e58 /nptl | |
parent | 9780c971fbf99df9bfc92116e0779a40070668b0 (diff) | |
download | glibc-5ddb5bf5fbceb6f44f04f7267eb214eee5fc2f90.zip glibc-5ddb5bf5fbceb6f44f04f7267eb214eee5fc2f90.tar.gz glibc-5ddb5bf5fbceb6f44f04f7267eb214eee5fc2f90.tar.bz2 |
Update.
2003-11-17 Ulrich Drepper <drepper@redhat.com>
* sysdeps/posix/getaddrinfo.c: Add support for destination address
selection according to RFC 3484.
Diffstat (limited to 'nptl')
-rwxr-xr-x | nptl/sysdeps/pthread/configure | 40 |
1 files changed, 32 insertions, 8 deletions
diff --git a/nptl/sysdeps/pthread/configure b/nptl/sysdeps/pthread/configure index 2241354..7fa5348 100755 --- a/nptl/sysdeps/pthread/configure +++ b/nptl/sysdeps/pthread/configure @@ -30,7 +30,6 @@ if test "${libc_cv_forced_unwind+set}" = set; then echo $ECHO_N "(cached) $ECHO_C" >&6 else cat >conftest.$ac_ext <<_ACEOF -#line $LINENO "configure" /* confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext @@ -50,11 +49,21 @@ _Unwind_GetCFA (context) _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 - (eval $ac_link) 2>&5 + (eval $ac_link) 2>conftest.er1 ac_status=$? + grep -v '^ *+' conftest.er1 >conftest.err + rm -f conftest.er1 + cat conftest.err >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); } && - { ac_try='test -s conftest$ac_exeext' + { ac_try='test -z "$ac_c_werror_flag" + || test ! -s conftest.err' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; } && + { ac_try='test -s conftest$ac_exeext' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? @@ -67,7 +76,8 @@ sed 's/^/| /' conftest.$ac_ext >&5 libc_cv_forced_unwind=no fi -rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext +rm -f conftest.err conftest.$ac_objext \ + conftest$ac_exeext conftest.$ac_ext fi echo "$as_me:$LINENO: result: $libc_cv_forced_unwind" >&5 echo "${ECHO_T}$libc_cv_forced_unwind" >&6 @@ -84,7 +94,6 @@ if test "${libc_cv_c_cleanup+set}" = set; then echo $ECHO_N "(cached) $ECHO_C" >&6 else cat >conftest.$ac_ext <<_ACEOF -#line $LINENO "configure" /* confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext @@ -106,11 +115,21 @@ main () _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 - (eval $ac_link) 2>&5 + (eval $ac_link) 2>conftest.er1 ac_status=$? + grep -v '^ *+' conftest.er1 >conftest.err + rm -f conftest.er1 + cat conftest.err >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5 (exit $ac_status); } && - { ac_try='test -s conftest$ac_exeext' + { ac_try='test -z "$ac_c_werror_flag" + || test ! -s conftest.err' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; } && + { ac_try='test -s conftest$ac_exeext' { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 (eval $ac_try) 2>&5 ac_status=$? @@ -123,7 +142,8 @@ sed 's/^/| /' conftest.$ac_ext >&5 libc_cv_c_cleanup=no fi -rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext +rm -f conftest.err conftest.$ac_objext \ + conftest$ac_exeext conftest.$ac_ext fi echo "$as_me:$LINENO: result: $libc_cv_c_cleanup" >&5 echo "${ECHO_T}$libc_cv_c_cleanup" >&6 @@ -133,4 +153,8 @@ echo "${ECHO_T}$libc_cv_c_cleanup" >&6 echo "$as_me: error: the compiler must support C cleanup handling" >&2;} { (exit 1); exit 1; }; } fi +else + { { echo "$as_me:$LINENO: error: forced unwind support is required" >&5 +echo "$as_me: error: forced unwind support is required" >&2;} + { (exit 1); exit 1; }; } fi |